# Wi-Fi network connect

A decision block that connects to a Wi-Fi network (access point).

If the proceed option is set to Immediately, then try to connect to the network without pausing the fiber. If set to When connected, then the fiber will pause until a connection has been established, or failed to connect.

The NO path is executed if there’s a failure to configure or connect to the specified network.

If both Network name and Network address is empty, or evaluate to `null`, then any available network will be reconnected. Android tries to keep connected to the configured and enabled network with the strongest signal. The exclusive argument can be used override this behavior by disabling all other networks and force a connection to the specified network.

Since Android 10, connecting to a network may fail unless this block initially added/configured it.

Note! This feature isn’t officially supported since Android 10, may not work on higher versions.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Network name — name (SSID) of network to connect to.
- Network address — address (BSSID) of network to connect to.
- Passkey account — name of generic credentials account where the password will be used when adding a new network, default is an open network.
- Add network — whether to add network if not already configured.
- Exclusive — whether to disable all other configured networks, forcing this network to be used.